En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.
 

GuppY, le CMS de référence sans base de données

telecharger01.png

Vous êtes ici :   Accueil » Forum » guppy [français] » migration de GuppY v4.0.3 vers dernier guppy 5
 
Prévisualiser...  Imprimer...  Imprimer la page...
Prévisualiser...  Imprimer...  Imprimer la section...

Attention : GuppY 5.02.09, mise à jour des zips

Sortie de GuppY 5.02.09 :

Les zips du pack, du patch cumulatif et du patch non-cumulatif sont mis à jour au 07.06.2019 à 18h30 avec la correction du fil d' ariane pour les articles, la correction de l'affichage des archives des nouvelles, la correction du lien du logo dans le mail pour l'inscription des membres.

Si vous avez patché votre site avant le 07.06.2019 à 18h30, vous devez télécharger le patch non-cumulatif à nouveau et le réinstaller avec la fonction Installer.

Désolé, toutes nos excuses pour ce contretemps, tous nos remerciements pour les signalements.

 

Forum - guppy [français] - migration de GuppY v4.0.3 vers dernier guppy 5


Connectés :
+
 


le 20/12/2018 @ 01:44
par cgtcapca

cgtcapca

1 message

Bonjour,

Je viens de prendre en charge le site de mon association, qui avait été créée en 2008 semble-t-il, et dont la version n'a jamais évolué ! L'interface liée à l'écriture de nouveaux articles, de nouvelles, ne permet pas l'importation de fichier écrit sous word, par exemple. Ni de corriger une erreur de frappe, car à chaque modification, la mise en page est modifiée (comme le retour chariot, ou les tabulations...)

Je sais, car j'étais moi-même lecteur du site web depuis toujours, que l'aspect du site web est très convenable pour l'usage qui en est fait, côté adhérents.

Le problème, c'est mon incapacité à faire évoluer la version, tellement de choses étant nécessaires à faire et dans un ordre si strict que je crains de m'y perdre en chemin.

D'après tout ce que j'ai lu, tout le monde serait capable de cette évolution, sauf les néophytes comme moi. Il n'y a aucun skin particulier, aucun css particulier. Tous les paramètres ont toujours été passés par l'interface de guppy, jamais de bidouillage de pro. Ouf ! Mais je recherche une personne capable de le faire évoluer pour nous. Nos ordinateurs de poche - des portables personnels - ne répondent pas aux exigences nécessaires à l'importation des /file, j'avais tenté un rapatriement sur disque dur local, mais c'est trop lent !

Il existe beaucoup de fichiers dans /file, mais rien de confidentiel. Les articles sont simples, pas de fioriture. Il n'y a pas d'autre utilisateur que l'admin.

Qui peut répondre à notre demande, svp ?

Je précise que nous sommes une association de très petite structure, sans but lucratif, très très loin d'une multinationale !! Nous vivons par et grâce aux dons des adhérents, sans plus.

Merci d'avance pour vos réponses.

Poster une réponse Haut  

Réponse n° 1
--------
le 16/01/2019 @ 11:40
par cgtcapca

cgtcapca

2 messages

Merci à tou-te-s pour vos 71 lectures à cet instant. Malheureusement aucune réponse n'est actée...

Nous savons que la tâche est rude pour des néophytes, mais pas forcément pour vous !

Je confirme que le site ne contient pas de skin, pas de css, pas de gadgets AUTRES QUE CEUX FOURNIS DEPUIS L'ORIGINE par le CMS Guppy.

J'ai bien tenté de copier les dossiers /file, /data et /save pour garder une archive, mis en maintenance, mais j'ai dû oublier une étape essentielle dans la suite du process.

Je ne doute pas qu'il y ait un utilisateur chevronné qui ait déjà migré dans le passé de la version 2004 vers les ultérieures. C'est la raison pour laquelle je fais appel à une partie de votre temps et de vos connaissances, car nous souhaitons conserver Guppy ! A vot' bon coeur, m'ssieurs-dames !

J'ai tendance à croire aux aspects participatifs de cette formule "libre", et je sais le temps que les fondateurs et contributeurs passent et ont passé à l'écriture, puis la maintenance de ce fabuleux outil. Moi-même, dans d'autres domaines, je contribue 'librement' , donc surtout sans but lucratif, capitalistique et personnel ! Mais là, cela dépasse mon niveau de compétences dans l'écriture de codes, et même en ayant essayé, je sais que ce sera compliqué. D'ailleurs depuis le premier post, nous avons décidé de contribuer ne serait-ce que financièrement ou par contributions en qualité de béta-testeurs si besoins de , ...

Bien cordialement à tou-te-s.

mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm

PS: depuis plusieurs années, la version de l'éditeur de news ou de telechargements était déjà devenue obsolète, et dernièrement, je n'écrivai plus de texte, mais j'intégrai les images capturées de fractions de texte écrits dans LibreOfficeWord. Car dès que j'enregistrai un changement dans une nouvelle, le format changeait. Du style: les espaces ou retours-chariot (ALT32 ou ALT13), initialement transcrits en <&nspb;> ou BR> changeaient et la vision de la nouvelle s'en trouvait changée; du coup, j'allais dans le code HTML de la nouvelle pour changer manuellement les espaces ou les chr$(13), juste avant l'enregistrement... Pas une vie pour les jeunes !! Je m'en suis contenté jusque-là, faute de pouvoir faire autrement ! Mais cela ne peut plus durer. Trop compliqué et trop long !!

Je rêve d'un Guppy actualisé ! J'ai même recréé des versions depuis la 5.0 sur d'autres serveurs, mais n'ai jamais réussi à y intégrer les archives... d'où la nécessité de migrer !


Rectifié par cgtcapca le 16/01/2019 @ 11:45
Poster une réponse Haut  
Réponse n° 2
--------
le 16/01/2019 @ 13:52
par Papinou

Papinou

Administrateur
348 messages

Bonjour,

Il serait plus important de lire et de suivre impérativement la procédure décrite sur cette page.

Surtout, ne pas oublier de passer les data à la moulinette disponible à la rubrique Télécharger puis Divers.

Il est bien plus simple de suivre les différentes versions et de patcher avec le patch non cumulatif.

Cordialement, Papinou

Je suis membre de l'asso freeGuppY... et vous ???

Site web Papinou
Poster une réponse Haut  
Réponse n° 3
--------
le 17/04/2019 @ 00:23
par airdeglisse

airdeglisse

3 messages

Bonjour, cgtcapca ,

Bon je vois que je suis pas le seul dans la galère.

Notre site étant héberger sous Free.Fr , on ne peut pas lancer les migration.

Donc impossible de suivre la procédure.

Ensuite pour passer de 4.x vers 5.x il y a les incompatibilités entre les versions de PHP.

J'ai récupéré une ancienne version de WAMPSERVER.2-a.exe.

La c'est bon, j'ai pu refaire tourner le site en local sans erreur PHP.

Donc j'ai repris la procédure, et la misère de misère....

impossible d'accéder à la page install.php

le site boucle sur des erreurs 404.

il ne trouve pas inc/maintenance.php !!!

A deux on va peut-être arriver à s'en sortir wink

Poster une réponse Haut  
Réponse n° 4
--------
le 17/04/2019 @ 00:39
par airdeglisse

airdeglisse

4 messages

Je suis reparti du point 11 de la procédure "comment migrer vers 4.6"

et l'install c'est lancé wink

mais confused il y a des erreur :

opendir(../inc/editor/) [function.opendir]: failed to open dir: No error in C:wampwwwinstallmigrate46.php on line 535

[16-Apr-2019 01:19:33] PHP Warning:  readdir(): supplied argument is not a valid Directory resource in C:wampwwwinstallmigrate46.php on line 536

[16-Apr-2019 01:19:33] PHP Warning:  closedir(): supplied argument is not a valid Directory resource in C:wampwwwinstallmigrate46.php on line 541

[16-Apr-2019 01:19:33] PHP Warning:  opendir(../inc/jscript/) [function.opendir]: failed to open dir: No error in C:wampwwwinstallmigrate46.php on line 535

[16-Apr-2019 01:19:33] PHP Warning:  readdir(): supplied argument is not a valid Directory resource in C:wampwwwinstallmigrate46.php on line 536

[16-Apr-2019 01:19:33] PHP Warning:  closedir(): supplied argument is not a valid Directory resource in C:wampwwwinstallmigrate46.php on line 541

(ce sont les lignes du logs de wamp/logs/ph_error.log )

Du coup j'ai vu qu'il change bien la valeur de db_version.php en 4.6

mais la moulinette n'est pas passé sur les fichiers présent dans /data pour les mettre au format PHP5.

on dirait un soucis avec le paramétrage de wampserver2.0 !!

qu'en pensez-vous ?

Merci

Poster une réponse Haut  
Réponse n° 5
--------
le 17/04/2019 @ 08:36
par airdeglisse

airdeglisse

5 messages

Je viens d'essayer avec migrer_data_46.zip

resultat:

doc2977.inc rectifié . doc2978.inc rectifié . doc298.inc rectifié . doc2981.inc rectifié . doc2982.inc rectifié . doc2983.inc rectifié . Fatal error: Maximum execution time of 30 seconds exceeded in C:wampwwwmigrer_data_46.php on line 30

pas facile confused

Poster une réponse Haut  
Réponse n° 6
--------
le 17/04/2019 @ 08:44
par airdeglisse

airdeglisse

6 messages

j'ai rajouté set_time_limit(0); dans migrer_data_46.php :

<?php header("Pragma: no-cache");

set_time_limit(0); ?>

résultat

doc9999.inc rectifié . . ed.inc rectifié . f1.inc rectifié . f2.inc rectifié . f3.inc rectifié . f4.inc rectifié . . . . . . . ft.inc rectifié . index.php rectifié . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . sendtinymsg.inc rectifié . . . . . ----------4814 fichiers vérifiés, 1968 fichiers rectifiés ----------

wink

Poster une réponse Haut  
Réponse n° 7
--------
le 17/04/2019 @ 10:32
par airdeglisse

airdeglisse

7 messages

ça avance, la suite de l'aventure :

en ouvrant le site je me retrouve avec des erreurs sur les include  inc/inc/inc

dans data/config.php j'ai trouvé:

$editobox[0] = stripslashes("inc/inc/inc/inc/inc/boxhome"); // Première boite page d'accueil $editobox[1] = stripslashes("inc/inc/inc/inc/inc/boxforum"); // Seconde boite page d'accueil $editobox[2] = stripslashes("inc/inc/inc/inc/inc/boxnews"); // Troisième boite page d'accueil

que j'ai remis à: "inc/xxx"

ensuite des soucis pour rentrer en admin, j'ai lu un truc sur :

dans config.inc serviz42=>off

la j'ai pu rentrer en admin ok avec mot de passe "pass"

puis j'ai desinstaller wampserver 2.0

installer wampserver3.0

- creer le virtual hosts

- passer en php 5.6

lancer la migration avec la procédure:

"migrer en 5.02.XX depuis un 4.6.XX"

ET la je suis de nouveau bloqué avec l'admin.

point 15 je renseigne les cases pour admin principale et secondaire et

en point  16 impossible de rentrer en "Protection Admin"

Merci de votre aide.

PS: très content d'être arrivé jusqu'ici pour ce test de migration wink

Rectified by airdeglisse 17/04/2019 @ 11:12


Rectifié par airdeglisse le 17/04/2019 @ 19:32
Poster une réponse Haut  
actif sujet actif   clos sujet clos   Important! Important!   Nouveau Nouveau message
Rectifier Rectifier message   Clôturer Clôturer sujet   Remonter Remonter  
Catégories de discussion  Forum  



Vous êtes ici :   Accueil » Forum » guppy [français] » migration de GuppY v4.0.3 vers dernier guppy 5
 
Prévisualiser...  Imprimer...  Imprimer la page...
Prévisualiser...  Imprimer...  Imprimer la section...

Préférences


Se reconnecter :
Votre nom (ou pseudo) :
Votre mot de passe
<O>


  14059106 visiteurs
  16 visiteurs en ligne

Connectés :
membresbcl02
membresJeandePeyrat (GT)

Newsletter

Pour avoir des nouvelles de ce site, inscrivez-vous à notre Newsletter.

Avant de soumettre ce formulaire, veuillez lire et accepter les Mentions légales.

J'accepte :
Recopier le code :
Site enregistré à la CNIL sous l'agrément 1040387.
Vous disposez d'un droit d'accès, de modification, de rectification
et de suppression des données selon la loi Informatique et Liberté (article 34) du 6 janvier 1978.

 
FreeGuppY.org est hébergé sur un serveur dédié o2switch
gy_twitter02.png